Bug 215709 - Some modules have incorrect ref count after first use
Some modules have incorrect ref count after first use
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-11-15 05:55 EST by vvs
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-22 08:24:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vvs 2006-11-15 05:55:02 EST
Description of problem:

Some kernel modules (e.g. loop, floppy, ide-cd) have incorrect ref count after
their first use, which prevent them from unloading.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. modprobe loop
2. lsmod
3. take note of ref count ("Used by"), should be zero
4. losetup /dev/loopx somefile (where loopx is free loop device)
5. losetup -d /dev/loopx
6. lsmod
Actual results:

The ref count is NOT zero

Expected results:

It should be zero

Additional info:

It's important that you do the above steps right after loading kernel module. It
may be necessary to modify modprobe.conf to make this module unavailable during
system boot and enable it later.

The same thing happens with floppy and ide-cd modules.

Note You need to log in before you can comment on or make changes to this bug.